## Apache Zeta Components Manual :: Docs For Class ezcFeedEnclosureElement

### Feed::ezcFeedEnclosureElement

### Class ezcFeedEnclosureElement

Class defining an enclosure element.

Source for this file: /Feed/src/structs/enclosure.php

    ezcFeedElement
       |
       --ezcFeedEnclosureElement

Version: | //autogentag//

### Properties

string | read/write | `$length` The length of the enclosure (usually in bytes).
string | read/write | `$type` The type of the enclosure (eg. 'audio/x-mp3').
string | read/write | `$url` The URL of the enclosure.

### Member Variables

public int | `$length` The length in bytes of the resource pointed by href.
public string | `$type` The type of the resource pointed by href.
public string | `$url` The URL value.

### Inherited Member Variables

From ezcFeedElement
protected | `ezcFeedElement::$properties`

Documentation generated by phpDocumentor 1.4.3